
_G[gTable] = {};

local aTmpVal = gTable;
cm.SetupTable(_G[aTmpVal]);

-- Called on Init
_G[gTable].OnInit = function(pObj)
   pObj.mState = 0;
end

-- Called after data being loaded from disk
_G[gTable].OnLoad = function(pObj)

	if cm.GetGlobalBoolIndirect(pObj, "ActivatorFlag1") then
	   local aPsysName = pObj.mCsData:GetString("ParticleSystemName");
	   pObj:SetupParticleSystem(aPsysName);
	   pObj:StartParticleEmission(0);
   end

end

-- Called after a level is loaded
_G[gTable].OnLevelLoad = function(pObj)

	if cm.GetGlobalBoolIndirect(pObj, "ActivatorFlag1") then
	   if not pObj:ParticleEmitterOn() then
		   local aPsysName = pObj.mCsData:GetString("ParticleSystemName");
		   pObj:SetupParticleSystem(aPsysName);
		   pObj:StartParticleEmission(0);
	   end
   end

end

-- Called on a update
_G[gTable].OnUpdate = function(pObj)

	if pObj.mState == 0 and cm.GetGlobalBoolIndirect(pObj, "ActivatorFlag1") then
	   pObj.mState = pObj.mState + 1;
	   pObj.mDiscovered = true;
	   local aPsysName = pObj.mCsData:GetString("ParticleSystemName");
	   pObj:SetupParticleSystem(aPsysName);
	   pObj:StartParticleEmission(0);
   end

end

-- Called on a succesful click
_G[gTable].OnClick =  function(pObj, pName)
	return false;
end

-- Called on draw
_G[gTable].OnDraw =  function(pObj, pG)

	local aRpos = pObj.mSmPos;
	local aImg  = IcImageWrap(pObj.mSmallImage);
	assert(aImg);
	local aRect = aImg:GetCelRect(pObj.mCurCell);
	pG:DrawImage(aImg:GetImage(), aRpos.x, aRpos.y, aRect);

end

